
datablock fxDtsBrickData(LogicGate_DFlipFlopAl5_Data){
	brickFile = $LuaLogic::Path @ "bricks/gen/newbricks/D FlipFlop Active Low 5 Bit.blb";
	iconName = $LuaLogic::Path @ "bricks/gen/newicons/D FlipFlop Active Low 5 Bit";
	
	category = "Logic Bricks";
	subCategory = "Bus";
	uiName = "D FlipFlop Active Low 5 Bit";
	logicUIName = "D FlipFlop Active Low 5 Bit";
	logicUIDesc = "";
	
	hasPrint = 1;
	printAspectRatio = "Logic";
	
	logicBrickSize = "5 1 1";
	orientationFix = 3;
	
	isLogic = true;
	isLogicGate = true;
	isLogicInput = false;
	
	logicInit = "";
	logicInput = "";
	logicUpdate = 
		"return function(gate) " @
		"	if not gate.ports[11].state then " @
		"		gate.ports[6]:setstate(gate.ports[1].state) " @
		"		gate.ports[7]:setstate(gate.ports[2].state) " @
		"		gate.ports[8]:setstate(gate.ports[3].state) " @
		"		gate.ports[9]:setstate(gate.ports[4].state) " @
		"		gate.ports[10]:setstate(gate.ports[5].state) " @
		"	end " @
		"end"
	;
	logicGlobal = "";
	
	numLogicPorts = 11;
	
	logicPortType[0] = 1;
	logicPortPos[0] = "4 0 0";
	logicPortDir[0] = 3;
	logicPortUIName[0] = "In0";
	
	logicPortType[1] = 1;
	logicPortPos[1] = "2 0 0";
	logicPortDir[1] = 3;
	logicPortUIName[1] = "In1";
	
	logicPortType[2] = 1;
	logicPortPos[2] = "0 0 0";
	logicPortDir[2] = 3;
	logicPortUIName[2] = "In2";
	
	logicPortType[3] = 1;
	logicPortPos[3] = "-2 0 0";
	logicPortDir[3] = 3;
	logicPortUIName[3] = "In3";
	
	logicPortType[4] = 1;
	logicPortPos[4] = "-4 0 0";
	logicPortDir[4] = 3;
	logicPortUIName[4] = "In4";
	
	logicPortType[5] = 0;
	logicPortPos[5] = "4 0 0";
	logicPortDir[5] = 1;
	logicPortUIName[5] = "Out0";
	
	logicPortType[6] = 0;
	logicPortPos[6] = "2 0 0";
	logicPortDir[6] = 1;
	logicPortUIName[6] = "Out1";
	
	logicPortType[7] = 0;
	logicPortPos[7] = "0 0 0";
	logicPortDir[7] = 1;
	logicPortUIName[7] = "Out2";
	
	logicPortType[8] = 0;
	logicPortPos[8] = "-2 0 0";
	logicPortDir[8] = 1;
	logicPortUIName[8] = "Out3";
	
	logicPortType[9] = 0;
	logicPortPos[9] = "-4 0 0";
	logicPortDir[9] = 1;
	logicPortUIName[9] = "Out4";
	
	logicPortType[10] = 1;
	logicPortPos[10] = "4 0 0";
	logicPortDir[10] = 2;
	logicPortUIName[10] = "Clock";
	logicPortCauseUpdate[10] = true;
	
};
